<?php

/**
 * Test: Memcached sliding expiration test.
 *
 * @author     David Grudl
 * @category   Nette
 * @package    Caching
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../NetteTest/initialize.php';



if (!NMemcachedStorage::isAvailable()) {
	NetteTestHelpers::skip();
}



$key = 'nette';
$value = 'rulez';

$cache = new NCache(new NMemcachedStorage('localhost'));


output('Writing cache...');
$cache->save($key, $value, array(
	NCache::EXPIRE => time() + 2,
	NCache::SLIDING => TRUE,
));


for($i = 0; $i < 3; $i++) {
	output('Sleeping 1 second');
	sleep(1);
	dump( isset($cache[$key]), 'Is cached?' );
}

output('Sleeping few seconds...');
sleep(3);

dump( isset($cache[$key]), 'Is cached?' );



__halt_compiler();

------EXPECT------
Writing cache...

Sleeping 1 second

Is cached? bool(TRUE)

Sleeping 1 second

Is cached? bool(TRUE)

Sleeping 1 second

Is cached? bool(TRUE)

Sleeping few seconds...

Is cached? bool(FALSE)
