<?php

/**
 * Test: LatteFilter and macros test.
 *
 * @author     David Grudl
 * @category   Nette
 * @package    Templates
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../NetteTest/initialize.php';



// temporary directory
define('TEMP_DIR', dirname(__FILE__) . '/tmp');
NetteTestHelpers::purge(TEMP_DIR);
NEnvironment::setVariable('tempDir', TEMP_DIR);



class MockControl
{

	public function link($destination, $args = array())
	{
		if (!is_array($args)) {
			$args = func_get_args();
			array_shift($args);
		}
		array_unshift($args, $destination);
		return 'LINK(' . implode(', ', $args) . ')';
	}

}



class MockPresenter extends MockControl
{

	public function link($destination, $args = array())
	{
		if (!is_array($args)) {
			$args = func_get_args();
			array_shift($args);
		}
		array_unshift($args, $destination);
		return 'PLINK(' . implode(', ', $args) . ')';
	}

}



$template = new NTemplate;
$template->setFile(dirname(__FILE__) . '/templates/latte.link.phtml');
$template->registerFilter(new LatteFilter);

$template->control = new MockControl;
$template->presenter = new MockPresenter;
$template->action = 'login';
$template->arr = array('link' => 'login', 'param' => 123);

$template->render();



__halt_compiler();
