<?php

/**
 * Test: LatteFilter and macros test.
 *
 * @author     David Grudl
 * @category   Nette
 * @package    Templates
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../NetteTest/initialize.php';



// temporary directory
define('TEMP_DIR', dirname(__FILE__) . '/tmp');
NetteTestHelpers::purge(TEMP_DIR);
NEnvironment::setVariable('tempDir', TEMP_DIR);



class MockTexy
{
	function process($text, $singleLine = FALSE)
	{
		return '<pre>' . $text . '</pre>';
	}
}



$template = new NTemplate;
$template->setFile(dirname(__FILE__) . '/templates/latte.texy.phtml');
$template->registerFilter(new LatteFilter);
$template->registerHelper('texy', array(new MockTexy, 'process'));
$template->registerHelperLoader('NTemplateHelpers::loader');

$template->hello = '<i>Hello</i>';
$template->people = array('John', 'Mary', 'Paul');

$template->render();



__halt_compiler();
