<?php

/**
 * Test: LatteFilter and macros test.
 *
 * @author     David Grudl
 * @category   Nette
 * @package    Templates
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../NetteTest/initialize.php';



// temporary directory
define('TEMP_DIR', dirname(__FILE__) . '/tmp');
NetteTestHelpers::purge(TEMP_DIR);
NEnvironment::setVariable('tempDir', TEMP_DIR);



class MockControl extends NObject
{
	function getWidget($name)
	{
		echo __METHOD__;
		dump( func_get_args() );
		return new MockWidget;
	}

}



class MockWidget extends NObject
{

	function __call($name, $args)
	{
		echo __METHOD__;
		dump( func_get_args() );
	}

}



$template = new NTemplate;
$template->setFile(dirname(__FILE__) . '/templates/latte.widget.phtml');
$template->registerFilter(new LatteFilter);
$template->registerHelperLoader('NTemplateHelpers::loader');

$template->control = new MockControl;
$template->form = new MockWidget;
$template->name = 'form';

$template->render();



__halt_compiler();
