<?php

/**
 * Test: NTemplateFilters::netteLinks()
 *
 * @author     David Grudl
 * @category   Nette
 * @package    Templates
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../NetteTest/initialize.php';



// temporary directory
define('TEMP_DIR', dirname(__FILE__) . '/tmp');
NetteTestHelpers::purge(TEMP_DIR);
NEnvironment::setVariable('tempDir', TEMP_DIR);



class MockPresenterComponent extends NPresenterComponent
{
	function link($destination, $args = array())
	{
		$args = http_build_query($args);
		return "LINK($destination $args)";
	}

}



$template = new NTemplate;
//$template->setCacheStorage(new NDummyStorage);
$template->setFile(dirname(__FILE__) . '/templates/nette-links.phtml');
$template->registerFilter(array('NTemplateFilters', 'netteLinks'));
$template->registerHelper('escape', 'NTemplateHelpers::escapeHtml');
$template->control = new MockPresenterComponent;
$template->render();



__halt_compiler();

------EXPECT------
<a href="LINK(action?id=10 )">link</a>

<a href="LINK(this! )">link</a>

<a href="LINK(this! )#fragment">link</a>

<a href='LINK(this! )'>link</a>

<a href='LINK(this! )#fragment'>link</a>
